Subject: zsh pid completion
From: Marko Myllynen <[email-masked]>
To: zsh workers <[email-masked]>
Date: Tue, 17 May 2016 13:50:21 +0300
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Hi,

I see that _pids completion offers only a very limited subset of the
running pids (even by the same user). For example, if I launch a command
on a terminal its PID is not included in completion alternatives on
another terminal. Also, when root, in some cases it might be beneficial
to offer also non-root PIDs (perhaps this could be configurable).

Is there some reason for this limited approach? (I'm not sending any
patches yet, I'm afraid with ps(1) portability might be a bit tricky.)

Thanks,

-- 
Marko Myllynen